# désactive tout traitement par le handler apache (PHP, CGI, etc.)
SetHandler None

# scripts CGI (perl, python)
# complète le blocage du handler apache
Options -ExecCGI
# (php qui utilise mod_php (module apache) ou php-fpm (fastCGI) n'est pas concerné par cette règle)

# exploration des dossiers
Options -Indexes


## moins utile

# interdire l'accès direct aux fichiers .htaccess et .htpasswd (déjà bloqués normallement)
<FilesMatch "^\.(htaccess|htpasswd)$">
    Require all denied
</FilesMatch>

# supprime des associations extension/handler
RemoveHandler .php .phtml .php3 .php4 .php5 .php7 .php8 .phar

# fichiers php non accessibles (en plus d'être non exécutables)
<FilesMatch "\.(php|phtml|php[0-9]|phar)$">
    Require all denied
</FilesMatch>